@import '../../../assets/styles/variable.scss';

.report-group {
	border: 1px solid rgba(0, 0, 0, 0.03);
	box-shadow: 0 2px 2px rgba(0, 0, 0, 0.24), 0 0 2px rgba(0, 0, 0, 0.12);
	padding: 12px;
	margin-bottom: 15px;

	h3 {
		border-bottom: 1px solid rgba(0, 0, 0, 0.5);
		width: 100%;
		padding-bottom: 5px;
	}

	.mat-list-base .mat-subheader {
		height: 30px;
	}

	.mat-list-item {
		height: auto;
		margin: 10px 0;
	}

	.mat-list p.mat-line {
		white-space: initial;
		overflow: initial;
		text-overflow: initial;
		font-size: 14px;
	}

	p.mat-wrapline {
		white-space: initial;
		overflow: initial;
		text-overflow: initial;
		font-size: 14px;
	}

	.control-list {
		mat-icon {
			color: $warning;
		}
	}

	.min-control-list {
		mat-icon {
			color: $info;
		}
	}
	.answer {
		font-weight: bold;
	}

	.row {
		min-height: 28px;
		margin: 0;
		flex-flow: row;

		label {
			width: 120px;
			display: inline-block;
		}
		div {
			font-weight: bold;
			display: inline-block;
			margin-left: 5px;
		}
	}
	.risk-category {
		padding: 10px 0px;
		font-size: 28px;

		&.lv-0 {
			color: #cc2b2b;
		}
		&.lv-1 {
			color: #ff4136;
		}
		&.lv-2 {
			color: #ff851b;
		}
		&.lv-3 {
			color: #ffdc00;
		}
		&.lv-4 {
			color: rgb(130, 204, 46);
		}
		&.lv-5 {
			color: #2ecc40;
		}
		&.lv-6 {
			color: rgb(24, 124, 46);
		}
	}
}
